Name:		rtl_433
Version:	23.11
Release:	%mkrel 1
Summary:	A generic data receiver
Group:		Communications/Radio
License:	GPLv2
Url:		https://github.com/merbanan/rtl_433
Source0:	https://github.com/merbanan/rtl_433/archive/%{version}/rtl_433-%{version}.tar.gz
Patch:		rtl_433-20.11_head-ref.patch

BuildRequires:	cmake
BuildRequires:	git
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(libusb-1.0)


%description
rtl_433 (despite the name) is a generic data receiver, mainly for
the 433.92 MHz, 868 MHz (SRD), 315 MHz, 345 MHz, and 915 MHz ISM bands.

%prep
%autosetup -p1

%build
mkdir build
cd build
export CFLAGS="%{optflags}"

cmake \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DSYSCONF_INSTALL_DIR=/etc \
	  ..

%make_build

%install

%make_install -C build
mkdir -p  %{buildroot}/etc
mv %{buildroot}/usr/etc/* %{buildroot}/etc/*

%files
%{_bindir}/rtl_433
%{_sysconfdir}/*/*.conf
%{_includedir}/*.h
%{_mandir}/man1/*


%changelog
* Mon Feb 05 2024 barjac <barjac> 23.11-1.mga10
+ Revision: 2037387
- new version 23.11

* Wed Nov 30 2022 barjac <barjac> 22.11-1.mga9
+ Revision: 1913258
- new version 22.11

* Tue Apr 12 2022 barjac <barjac> 21.12-1.mga9
+ Revision: 1848921
- new version 21.12

* Sat Mar 26 2022 umeabot <umeabot> 21.05-2.mga9
+ Revision: 1827758
- Mageia 9 Mass Rebuild

* Wed May 19 2021 barjac <barjac> 21.05-1.mga9
+ Revision: 1725526
- new version 21.05
- fix Source0

* Sun Jan 10 2021 barjac <barjac> 20.11-1.mga8
+ Revision: 1670638
- new package

